NotifierResourceHome
Keywords: org.gcube.informationsystem.notifier.impl.NotifierResourceHome class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.informationsystem.notifier.impl
Class NotifierResourceHome

    java.lang.Object
      org.gcube.common.core.state.GCUBEResourceHome<org.globus.wsrf.ResourceKey,org.gcube.common.core.state.GCUBEWSResourceKey,org.gcube.common.core.state.GCUBEWSResource>
          org.gcube.common.core.state.GCUBEWSHome
              org.gcube.informationsystem.notifier.impl.NotifierResourceHome

All Implemented Interfaces:
  org.globus.wsrf.jndi.Initializable, org.globus.wsrf.ResourceHome

    public class NotifierResourceHome

extends org.gcube.common.core.state.GCUBEWSHome

Author:
  Andrea Manzi (ISTI-CNR)

Constructor Summary
`NotifierResourceHome()`

Method Summary
`org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext` | `getPortTypeContext()`

Methods inherited from class org.gcube.common.core.state.GCUBEWSHome
`create, create, find, find, getKeyTypeClass, getKeyTypeName, getServiceContext, getSweeperDelay, remove, setKeyName, setSweeperDelay`

Methods inherited from class org.gcube.common.core.state.GCUBEResourceHome
`getIdentifiers, getResourceClass, initialize, setCacheTimeout, setPersistenceDelegateClass, setResourceClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifierResourceHome

    public NotifierResourceHome()

Method Detail

### getPortTypeContext

    public org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext getPortTypeContext()

  Specified by:
    `getPortTypeContext` in class `org.gcube.common.core.state.GCUBEWSHome`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD